Loading...
Searching...
No Matches
BALL::VIEW::Dataset Class Reference

`#include <BALL/VIEW/DATATYPE/dataset.h>`

## Public Member Functions

Constructors and Destructors
| Dataset ()
| Dataset (const Dataset &dataset)
virtual | ~Dataset ()
virtual void | clear ()

## Assignment methods

Composite * | composite_
String | name_
String | type_
void | set (const Dataset &v)
const Dataset & | operator= (const Dataset &v)
void | setName (String name)
String | getName () const
void | setType (String type)
String | getType () const
void | setComposite (Composite *composite)
Composite * | getComposite () const
void | dump (std::ostream &s, Size depth) const

## Detailed Description

Baseclass for datasets. Datasets are used to incorporate any kind of data and make it accessible through the DatasetControl. The data is stored as a void pointer and casted to its real type in the corresponding Contoller class. A dataset has the following attributes:

- a type, used for the cast
- a name, used for the entry in the DatasetControl
- a Composite pointer to know its corresponding molecular entity
- the void pointer for access to the data

<bf>NOTE:</bf> The data will not be deleted, when the Dataset is deleted. This has to be done in the DatasetController, since only it knows what kind of object is contained!

See also
  DatasetControl
  DatasetController

Definition at line 60 of file dataset.h.

## Constructor & Destructor Documentation

## Dataset() [1/2]

BALL::VIEW::Dataset::Dataset | ( |  | ) |

Default Constructor.

## Dataset() [2/2]

BALL::VIEW::Dataset::Dataset | ( | const Dataset & | dataset | ) |

Copy constructor.

## ~Dataset()

virtual BALL::VIEW::Dataset::~Dataset | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::Dataset::clear | ( |  | ) |

virtual

Explicit default initialization.

## dump()

void BALL::VIEW::Dataset::dump | ( | std::ostream & | s,
|  | Size | depth ) const

## getComposite()

Composite * BALL::VIEW::Dataset::getComposite | ( |  | ) | const

inline

Definition at line 114 of file dataset.h.

## getName()

String BALL::VIEW::Dataset::getName | ( |  | ) | const

inline

Definition at line 102 of file dataset.h.

## getType()

String BALL::VIEW::Dataset::getType | ( |  | ) | const

inline

Definition at line 108 of file dataset.h.

## operator=()

const Dataset & BALL::VIEW::Dataset::operator= | ( | const Dataset & | v | ) |

Assignment operator. Calls set.

## set()

void BALL::VIEW::Dataset::set | ( | const Dataset & | v | ) |

Assignment.

## setComposite()

void BALL::VIEW::Dataset::setComposite | ( | Composite * | composite | ) |

inline

Definition at line 111 of file dataset.h.

## setName()

void BALL::VIEW::Dataset::setName | ( | String | name | ) |

inline

Definition at line 99 of file dataset.h.

## setType()

void BALL::VIEW::Dataset::setType | ( | String | type | ) |

inline

Definition at line 105 of file dataset.h.

## Member Data Documentation

## composite_

Composite* BALL::VIEW::Dataset::composite_

protected

Definition at line 123 of file dataset.h.

## name_

String BALL::VIEW::Dataset::name_

protected

Definition at line 124 of file dataset.h.

## type_

String BALL::VIEW::Dataset::type_

protected

Definition at line 125 of file dataset.h.